=== debian/changelog ===
qsapecng (1.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #609218)
  * Added a notice to the file src/functor/rpoly.cpp in order to release that
    file under a Public Domain-like license. The permission has been granted
    with an e-mail sent by the author of rpoly.cpp. See the file README.rpoly
    for more information.

 -- Simone Rossetto <simros85@gmail.com>  Sat, 02 Apr 2011 11:09:17 +0200
