=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.svn
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release
	doxygen doxy.cfg

override_dh_auto_clean:
	dh_auto_clean
	rm -dfr doc/html doc/latex
