## qsapecng 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
 )
 set( CMAKE_BUILD_TYPE "Release" )
 
-set( PROJECT_VERSION_MAJOR 1 )
-set( PROJECT_VERSION_MINOR 2 )
-set( PROJECT_VERSION_PATCH 2 )
+set( PROJECT_VERSION_MAJOR 2 )
+set( PROJECT_VERSION_MINOR 0 )
+set( PROJECT_VERSION_PATCH 0 )
 set( PROJECT_VERSION_REVISION 1 )
 set( PROJECT_VERSION
   ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH} )
@@ -27,8 +27,8 @@
 configure_file("${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
 add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-# add_definitions( -ansi -Wall -O0 -g )
-add_definitions( -ansi -Wall -O2 )
+add_definitions( -ansi -Wall -O0 -g )
+# add_definitions( -ansi -Wall -O2 )
 add_definitions(
   -DPACKAGE_NAME="${PACKAGE_NAME}"
   -DPACKAGE_VERSION="${PACKAGE_VERSION}"
