=== src/CMakeLists.txt ===
--- 
+++ 
@@ -243,7 +243,6 @@
   gui/qsapecng.cpp
   gui/settings.cpp
   gui/qsapecngwindow.cpp
-  gui/userdefdialog/userdefdialog.cpp
   gui/configdialog/configdialog.cpp
   gui/configdialog/configpage.cpp
   gui/sidebarmodel.cpp
@@ -265,7 +264,6 @@
   qsapecng_HEADERS_MOC
   gui/qsapecngwindow.h
   gui/extendedmdiarea.h
-  gui/userdefdialog/userdefdialog.h
   gui/configdialog/configdialog.h
   gui/configdialog/configpage.h
   gui/sidebarmodel.h
@@ -327,11 +325,21 @@
     RENAME qsapecng.png
   )
   install(
+    FILES gui/images/qsapecng-24x24.png
+    DESTINATION share/icons/hicolor/24x24/apps
+    RENAME qsapecng.png
+  )
+  install(
     FILES gui/images/qsapecng-32x32.png
     DESTINATION share/icons/hicolor/32x32/apps
     RENAME qsapecng.png
   )
   install(
+    FILES gui/images/qsapecng-48x48.png
+    DESTINATION share/icons/hicolor/48x48/apps
+    RENAME qsapecng.png
+  )
+  install(
     FILES gui/images/qsapecng-64x64.png
     DESTINATION share/icons/hicolor/64x64/apps
     RENAME qsapecng.png
@@ -347,12 +355,3 @@
     RENAME qsapecng.png
   )
   install(
-    FILES gui/images/qsapecng.svg
-    DESTINATION share/icons/hicolor/scalable/apps
-  )
-endif(UNIX AND NOT APPLE AND NOT WIN32)
-
-if(WIN32)
-  if(INCLUDE_QT_DLL_IN_BIN_PACKAGE)
-    install(
-      FILES
