=== debian/changelog ===
qsapecng (2.0.0-5) unstable; urgency=low

  * Fixed "ftbfs with GCC-4.7" adding a "this" pointer. (Closes: #667342)
  * Updated the debian/copyright file:
     - converted the Comment field of the public-domain license for the file
       rpoly.cpp to the paragraph of the license itself (this fixes the the
       lintian warning missing-license-paragraph-in-dep5-copyright).
     - changed the Format url from dep5 to 1.0.
  * Updated debian/control Standards-Version to 3.9.3.

 -- Simone Rossetto <simros85@gmail.com>  Thu, 05 Apr 2012 20:11:49 +0200

qsapecng (2.0.0-4) unstable; urgency=low

  * added a DM-Upload-Allowed: yes field in debian/control

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Nov 2011 21:01:32 +0100

qsapecng (2.0.0-3) unstable; urgency=low

  * fixed a typo in debian/rules "rm -dfr" => "rm -fr".
    Closes: #642675
  * added a set of files to clean, probably due to some mistake in upstream
    clean routines; added a clean instruction for src/libqwt6_fix.h

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 26 Sep 2011 07:35:42 +0200

qsapecng (2.0.0-2) unstable; urgency=low

  * Fixed "FTBFS: obsolete build dependency libqwt5-qt4-dev". Removed from
    debian/control obsolete libqwt5-qt4-dev dependency. (Closes: #638365)
  * Fixed the lintian warning "embedded-javascript-library" due to the file
    jquery.js previously included in the qsapecng-doc package. That file has
    been substituted with a symlink to the file installed with the package
    libjs-jquery.
  * Added libjs-jquery as a dependency for the qsapecng-doc package.

 -- Simone Rossetto <simros85@gmail.com>  Sat, 20 Aug 2011 19:59:06 +0200

qsapecng (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/control:
     - changed Standards-Version to 3.9.2.
     - changed Build-Depends for Qwt libraries: libqwt5-qt4-dev | libqwt-dev.
     - changed Description to reflect the original one in the upstream README.
  * Removed unneeded compile flags (compile_flags.patch): debug symbols were
    always added to the final binaries even in the 'Release' target.
  * Solved incompatibility with Qwt version 6 (libqwt6_fix.patch).

 -- Simone Rossetto <simros85@gmail.com>  Thu, 11 Aug 2011 21:15:50 +0200
