=== debian/control ===
Source: qsapecng
Section: electronics
Priority: optional
Maintainer: Simone Rossetto <simros85@gmail.com>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 7.0.50~),
 cmake (>= 2.6.0),
 libqt4-dev (>= 4.6.0),
 libqwt-dev (>= 6.0.0),
 libboost-dev (>= 1.41.0),
 doxygen
Standards-Version: 3.9.3
Homepage: http://qsapecng.sourceforge.net/
Vcs-Svn: https://qsapecng.svn.sourceforge.net/svnroot/qsapecng
Vcs-Browser: http://qsapecng.svn.sourceforge.net/viewvc/qsapecng

Package: qsapecng
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: qsapecng-doc (= ${binary:Version})
Description: symbolic analyzer and solver of linear analog circuits
 This program consists of two indipendent parts: the SapecNG framework engine
 and the GUI application QSapecNG.
 .
 QSapecNG is an open source, multi-platform project, continuously enhanced by
 students and researchers of the Department of Electronics and
 Telecommunications (DET) of the University of Florence (Italy). It comes as
 continuation of SapWin for Windows, in order to give to the project a full
 compatibility on other platforms.
 .
 Through SapecNG/QSapecNG users can draw, solve and analyze analog circuits as
 well as manage them. Since version 2.0.0beta1 there is also the full support
 for sub-circuits that can be created, saved, reopened and added as part of
 other circuits.
 .
 SapecNG/QSapecNG is freely available on SourceForge.net
 <https://sourceforge.net/projects/qsapecng/>. A previous version of SapecNG is
 available too, on SourceForge.net <https://sourceforge.net/projects/sapec-ng/>.

Package: qsapecng-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Recommends: qsapecng (= ${binary:Version})
Suggests: doc-base
Description: symbolic analyzer and solver of linear analog circuits (documentation)
 With QSapecNG users can draw, solve and analyze analog circuits as well as
 manage them. Since version 2.0.0beta1 there is also the full support
 for sub-circuits that can be created, saved, reopened and added as part of
 other circuits.
 .
 This package contains the documentation of QSapecNG, that can also be read
 online at <http://qsapecng.sourceforge.net/>.
