=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,12 @@
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_BUILD_TYPE=Release
 	doxygen doxy.cfg
+	rm -f doc/html/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -dfr doc/html doc/latex
+	rm -fr doc/html doc/latex
+	rm -f src/gui/qtsolutions/qtpropertyeditor/moc_*
+	rm -f src/gui/qtsolutions/qtpropertyeditor/*.moc
+	rm -f src/libqwt6_fix.h
