=== debian/watch ===
version=3
http://sf.net/qsapecng/QSapecNG-(.*)-source\.tar\.gz
