## qsapecng 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,29 @@
 project( qsapecng )
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required( VERSION 2.8 )
+
+# qtcreator lacks a proper file management for software based on cmake,
+# this is a workaround to include file within the project tree.
+# see also add_executable statement.
+file(GLOB_RECURSE FILES src/*.h src/*.hpp src/*.cpp)
+file(GLOB_RECURSE DOXY doxy.cfg doxy/*.dox)
 
 set(
   CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH}
   "${CMAKE_SOURCE_DIR}/cmake/Modules/"
 )
-set( CMAKE_BUILD_TYPE "Release" )
+
+if(NOT CMAKE_BUILD_TYPE)
+  set(CMAKE_BUILD_TYPE "Release")
+endif(NOT CMAKE_BUILD_TYPE)
+
+if(NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
+  add_definitions(-DQT_NO_DEBUG_OUTPUT)
+endif(NOT CMAKE_BUILD_TYPE STREQUAL "Debug" AND NOT CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
 
 set( PROJECT_VERSION_MAJOR 2 )
-set( PROJECT_VERSION_MINOR 0 )
-set( PROJECT_VERSION_PATCH 0 )
-set( PROJECT_VERSION_REVISION 1 )
+set( PROJECT_VERSION_MINOR 1 )
+set( PROJECT_VERSION_PATCH 1 )
+set( PROJECT_VERSION_REVISION 0 )
 set( PROJECT_VERSION
   ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH} )
 
@@ -19,7 +32,7 @@
 set( SETTINGS_ORGANIZATION "Unifi" )
 set( SETTINGS_APPLICATION "${PACKAGE_NAME}" )
 set( PROJECT_AUTHOR "Michele Caini" )
-set( PROJECT_YEAR_COPYRIGHT "2009-2011" )
+set( PROJECT_YEAR_COPYRIGHT "2009" )
 set( PROJECT_AUTHOR_EMAIL "michele.caini@gmail.com" )
 set( PACKAGE_CHEF "${PROJECT_AUTHOR} <${PROJECT_AUTHOR_EMAIL}>" )
 
@@ -27,8 +40,7 @@
 configure_file("${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY)
 add_custom_target(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
 
-add_definitions( -ansi -Wall -O0 -g )
-# add_definitions( -ansi -Wall -O2 )
+add_definitions( -ansi -Wall )
 add_definitions(
   -DPACKAGE_NAME="${PACKAGE_NAME}"
   -DPACKAGE_VERSION="${PACKAGE_VERSION}"
@@ -72,9 +84,9 @@
 ##################                             ##################
 #################################################################
 
-if(INCLUDE_QT_DLL_IN_BIN_PACKAGE OR INCLUDE_QWT5_DLL_IN_BIN_PACKAGE OR NOT QT_CONFIG MATCHES "static")
+if(INCLUDE_QT_DLL_IN_BIN_PACKAGE OR INCLUDE_QWT_DLL_IN_BIN_PACKAGE OR NOT QT_CONFIG MATCHES "static")
 	include( InstallRequiredSystemLibraries )
-endif(INCLUDE_QT_DLL_IN_BIN_PACKAGE OR INCLUDE_QWT5_DLL_IN_BIN_PACKAGE OR NOT QT_CONFIG MATCHES "static")
+endif(INCLUDE_QT_DLL_IN_BIN_PACKAGE OR INCLUDE_QWT_DLL_IN_BIN_PACKAGE OR NOT QT_CONFIG MATCHES "static")
 
 
 set( CPACK_GENERATOR "TZ;TGZ;TBZ2" )
@@ -131,7 +143,7 @@
 
   set( CPACK_PACKAGE_EXECUTABLES "${OUTPUT_BIN_NAME}" "${OUTPUT_BIN_NAME}" )
   set( CPACK_NSIS_INSTALLED_ICON_NAME "${OUTPUT_BIN_FOLDER}\\\\${OUTPUT_BIN_NAME}.exe" )
-  set( CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_DESCRIPTION_SUMMARY}" )
+  set( CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_NAME}" )
   set( CPACK_NSIS_CONTACT "${PACKAGE_CHEF}" )
   set( CPACK_NSIS_URL_INFO_ABOUT "http://qsapecng.sourceforge.net/" )
   set( CPACK_NSIS_MODIFY_PATH ON )
@@ -146,20 +158,20 @@
     "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\gui\\\\images\\\\qsapecng-ico.ico"
   )
   
-  # la variabile CPACK_PACKAGE_ICON vuole una bmp da 150x57 pixel
-  # la variabile CPACK_NSIS_INSTALLER_MUI_ICON_CODE vuole una bmp da 164x314 pixel
+  # the variable CPACK_PACKAGE_ICON require a bmp file of 150x57 pixels
+  # the variable CPACK_NSIS_INSTALLER_MUI_ICON_CODE equire a bmp file of 164x314 pixels
   #set( CPACK_PACKAGE_ICON "${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\gui\\\\images\\\\qsapecng_nsis_header.bmp" )
   #set( CPACK_NSIS_INSTALLER_MUI_ICON_CODE "!define MUI_WELCOMEFINISHPAGE_BITMAP '${CMAKE_CURRENT_SOURCE_DIR}\\\\src\\\\gui\\\\images\\\\qsapecng_nsis_welcome.bmp'" )
   
-  # Codice per far creare il link sul desktop se l'utente lo seleziona durante
-  # l'installazione da setup: CMake crea un checkbox che non funziona!!!
-  set( CPACK_NSIS_DESKTOP_LINK_NAME "QSapecNG" )
+  # Code to create the link on Windows Desktop if the user checks the appropriate box
+  # during setup: CMake creates a checkbox that doesn't work!!!
+  set( CPACK_NSIS_DESKTOP_LINK_NAME "${OUTPUT_BIN_NAME}" )
   set( CPACK_NSIS_EXTRA_INSTALL_COMMANDS "StrCmp $INSTALL_DESKTOP '1' 0 nodesktoplink\nCreateShortcut '$desktop\\\\${CPACK_NSIS_DESKTOP_LINK_NAME}.lnk' '$instdir\\\\${OUTPUT_BIN_FOLDER}\\\\${OUTPUT_BIN_NAME}.exe'\nnodesktoplink:\n" )
   set( CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "StrCmp $INSTALL_DESKTOP '1' 0 nodesktoplink\nDelete '$desktop\\\\${CPACK_NSIS_DESKTOP_LINK_NAME}.lnk'\nnodesktoplink:\n" )
 
 elseif(APPLE)
 
-  set( CPACK_DMG_VOLUME_NAME "${CPACK_PACKAGE_NAME}_${PROJECT_VERSION}" ) # da testare
+  set( CPACK_DMG_VOLUME_NAME "${CPACK_PACKAGE_NAME}_${PROJECT_VERSION}" ) # to be tested
   set( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}" )
   set( CPACK_GENERATOR DragNDrop )
   set( CPACK_SOURCE_GENERATOR TGZ ZIP )
@@ -179,10 +191,9 @@
      "libstdc++6 (>=4.3.2-1.1),
       libqt4-core (>=4.6),
       libqt4-gui (>=4.6),
-      libqwt5-qt4 (>=5.0)"
+      libqwt6-qt4 (>=6.0)"
   )
 
 endif(WIN32 AND NOT UNIX)
 
-
 include( CPack )
