=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-find_package( Boost 1.41.0 REQUIRED )
-find_package( Qt4 COMPONENTS QtCore QtGui REQUIRED )
-find_package( Qwt5 REQUIRED )
+find_package( Boost 1.46.0 REQUIRED )
+find_package( Qt4 4.6.2 COMPONENTS QtCore QtGui REQUIRED )
+find_package( Qwt 6.0.0 REQUIRED )
 
 
 if(WIN32)
@@ -12,7 +12,7 @@
 
 include_directories(
   ${QT_INCLUDES}
-  ${Qwt5_INCLUDE_DIR}
+  ${QWT_INCLUDE_DIRS}
   ${Boost_INCLUDE_DIRS}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -36,7 +36,7 @@
   set(OUTPUT_BIN_NAME "${OUTPUT_BIN_NAME}" PARENT_SCOPE)
   set(OUTPUT_DOC_FOLDER "${OUTPUT_BIN_NAME}.app/Contents/${OUTPUT_RESOURCES_FOLDER_NAME}/doc")
   set(OUTPUT_RES_FOLDER "${OUTPUT_BIN_NAME}.app/Contents/${OUTPUT_RESOURCES_FOLDER_NAME}")
-  set(OUTPUT_BUNDLE_NAME "QSapecNG")
+  set(OUTPUT_BUNDLE_NAME "${OUTPUT_BIN_NAME}")
 
   option(INCLUDE_REQUIRED_LIBRARIES_INTO_BUNDLE "Enable this option to include required external libraries into application Bundle (default ON)" ON)
 
@@ -60,7 +60,7 @@
   # this section is to fixup the bundle after it has been created
   set(FIXUP_BUNDLE_PATH "${PROJECT_BINARY_DIR}/${OUTPUT_BIN_FOLDER}/${OUTPUT_BIN_NAME}.app")
   set(FIXUP_BUNDLE_LIBS "")
-  set(FIXUP_BUNDLE_DIRS "${Qwt5_INCLUDE_DIR}/../lib")
+  set(FIXUP_BUNDLE_DIRS "${QWT_ROOT_DIR}/lib")
   configure_file("${PROJECT_SOURCE_DIR}/cmake/MacOSXBundle_fixup_bundle.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/fixup_bundle.cmake" @ONLY)
 
   if(INCLUDE_REQUIRED_LIBRARIES_INTO_BUNDLE)
@@ -70,9 +70,7 @@
     message(STATUS "You can execute 'make fixup_bundle' to manually fixup the created bundle before distributing it")
   endif(INCLUDE_REQUIRED_LIBRARIES_INTO_BUNDLE)
 elseif(WIN32)
-  # Lo metterei maiuscolo su Windows, però ci sono da cambiare alcuni
-  # percorsi in altri file di CMake.
-  set(OUTPUT_BIN_NAME "qsapecng")
+  set(OUTPUT_BIN_NAME "QSapecNG")
   set(OUTPUT_BIN_NAME "${OUTPUT_BIN_NAME}" PARENT_SCOPE)
   #set(OUTPUT_DOC_FOLDER "doc")
 
@@ -89,12 +87,12 @@
     NO_DEFAULT_PATH
   )
 
-  unset(QWT5_DLL_DIR CACHE)
-  find_path(QWT5_DLL_DIR
-    NAMES "qwt5.dll"
+  unset(QWT_DLL_DIR CACHE)
+  find_path(QWT_DLL_DIR
+    NAMES "qwt.dll"
     PATHS
-      "${Qwt5_INCLUDE_DIR}/../lib"
-      "${Qwt5_INCLUDE_DIR}/../bin"
+      "${QWT_INCLUDE_DIR}/../lib"
+      "${QWT_INCLUDE_DIR}/../bin"
     PATH_SUFFIXES lib bin
     ENV PATH
     DOC "path of the Qwt DLL files to be included in the binary packages"
@@ -109,21 +107,21 @@
     mark_as_advanced(QT_DLL_DIR)
   endif(NOT QT_DLL_DIR STREQUAL "QT_DLL_DIR-NOTFOUND" AND NOT QT_CONFIG MATCHES "static")
 
-  if(NOT QWT5_DLL_DIR STREQUAL "QWT5_DLL_DIR-NOTFOUND")
-    option(INCLUDE_QWT5_DLL_IN_BIN_PACKAGE "Enable this option to include Qwt DLL files in binary packages (default ON)" ON)
-  else(NOT QWT5_DLL_DIR STREQUAL "QWT5_DLL_DIR-NOTFOUND")
-    unset(INCLUDE_QWT5_DLL_IN_BIN_PACKAGE CACHE)
-    set(INCLUDE_QWT5_DLL_IN_BIN_PACKAGE OFF)
-    mark_as_advanced(INCLUDE_QWT5_DLL_IN_BIN_PACKAGE)
-    mark_as_advanced(QWT5_DLL_DIR)
-  endif(NOT QWT5_DLL_DIR STREQUAL "QWT5_DLL_DIR-NOTFOUND")
+  if(NOT QWT_DLL_DIR STREQUAL "QWT_DLL_DIR-NOTFOUND")
+    option(INCLUDE_QWT_DLL_IN_BIN_PACKAGE "Enable this option to include Qwt DLL files in binary packages (default ON)" ON)
+  else(NOT QWT_DLL_DIR STREQUAL "QWT_DLL_DIR-NOTFOUND")
+    unset(INCLUDE_QWT_DLL_IN_BIN_PACKAGE CACHE)
+    set(INCLUDE_QWT_DLL_IN_BIN_PACKAGE OFF)
+    mark_as_advanced(INCLUDE_QWT_DLL_IN_BIN_PACKAGE)
+    mark_as_advanced(QWT_DLL_DIR)
+  endif(NOT QWT_DLL_DIR STREQUAL "QWT_DLL_DIR-NOTFOUND")
 endif()
 
 set(
   LIBS
   ${LIBS} 
   ${QT_LIBRARIES}
-  ${Qwt5_Qt4_LIBRARY}
+  ${QWT_LIBRARIES}
 )
 
 IF(WIN32)
@@ -298,6 +296,11 @@
   ${qtpropertyeditor_SRCS}
   ${qtpropertyeditor_RESOURCES}
   "${BUNDLE_ICON}"
+# qtcreator lacks a proper file management for software based on cmake,
+# this is a workaround to include file within the project tree
+# see also files statements.
+  ${FILES}
+  ${DOXY}
 )
 
 target_link_libraries( qsapecng ${LIBS} )
@@ -325,8 +328,8 @@
     RENAME qsapecng.png
   )
   install(
-    FILES gui/images/qsapecng-24x24.png
-    DESTINATION share/icons/hicolor/24x24/apps
+    FILES gui/images/qsapecng-22x22.png
+    DESTINATION share/icons/hicolor/22x22/apps
     RENAME qsapecng.png
   )
   install(
@@ -351,7 +354,3 @@
   )
   install(
     FILES gui/images/qsapecng-256x256.png
-    DESTINATION share/icons/hicolor/256x256/apps
-    RENAME qsapecng.png
-  )
-  install(
