=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DH_ALWAYS_EXCLUDE=.git
export DH_OPTIONS


%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,-z,relro"
	doxygen doxy.cfg
	rm -f doc/html/jquery.js
	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js

override_dh_auto_clean:
	dh_auto_clean
	rm -fr doc/html doc/latex
	rm -f src/gui/qtsolutions/qtpropertyeditor/moc_*
	rm -f src/gui/qtsolutions/qtpropertyeditor/*.moc
