=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/qsapecng-$1\.tar\.gz/ \
  https://github.com/skypjack/qsapecng/tags .*/v?(\d\S*)\.tar\.gz
